	/**
	 * 本文章是针对java JNDI方式操作ldap服务器。
	 * 这里给出一个关键的片段，通过这段代码获取的Context是可以免证书的进行操作远程AD域的,我之前就是通过证书方式的，一大堆复杂的操作导出什么密钥库之类的。且证书1年就失效了还		要企业根证书才行，很多限制！后来花了很多心思才找到这个方法。
 	DummySSLSocketFactory 这个类我放外面好了方便猿友们导出，这段代码就是获取连接，我就没管那么多了直接贴了方法上来。
	 * 获取AD上下文对象
	 * @param res
	 * @return
	 */
	public final static LDAPDirContext getContext(ResourceBean res){
		LDAPDirContext context = null;
		try {
			System.out.println(String.valueOf(res.getExpand("keystore")));

		//	System.setProperty("javax.net.ssl.trustStore", "/Windows/aaa.keystore");//String.valueOf(res.getExpand("keystore")));
			
		//	System.setProperty("javax.net.ssl.trustStorePassword", "changeit");
			Properties mEnv = new Properties();
			mEnv.put(Context.AUTHORITATIVE, "true");
			mEnv.put(Context.SECURITY_PROTOCOL, "ssl");
			mEnv.put(Context.INITIAL_CONTEXT_FACTORY,"com.sun.jndi.ldap.LdapCtxFactory");
			mEnv.put(Context.PROVIDER_URL, res.getExpand("url"));//
			mEnv.put(Context.SECURITY_AUTHENTICATION, "simple");
			mEnv.put(Context.SECURITY_PRINCIPAL, res.getUserName());// administrator@test.com
			mEnv.put(Context.SECURITY_CREDENTIALS, res.getPassWord());
			//关键代码，注意对应的DummySSLSocketFactory这个类的包路径要正确，
	       		mEnv.put("java.naming.ldap.factory.socket", “org.utils.ad.DummySSLSocketFactory");
			context = new LDAPDirContext(mEnv);
		} catch (Exception e) {
			e.printStackTrace();
			context = null;
			System.out.println("AD域认证失败!");
		}
		return context;
	}